SDL_StartTextInput(3)

NAME
SDL_StartTextInput - Start accepting Unicode text input events in a window.

SYNOPSIS
#include <SDL3/SDL_keyboard.h>

bool SDL_StartTextInput(SDL_Window *window);

DESCRIPTION
This function will enable text input (SDL_EVENT_TEXT_INPUT and SDL_EVENT_TEXT_EDITING events) in the specified window. Please use this function paired with SDL_StopTextInput().

Text input events are not received by default.

On some platforms using this function shows the screen keyboard and/or activates an IME, which can prevent some key press events from being passed through.

FUNCTION PARAMETERS

window
    the window to enable text input.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetTextInputArea(3), SDL_StartTextInputWithProperties(3), SDL_StopTextInput(3), SDL_TextInputActive(3)